s6
Software
skarnet.org

# The `s6-svdt` program

`s6-svdt` prints the recorded death tally of a service, i.e. a list of the times the process died, with the cause of death.

## Interface

         s6-svdt [ -S | -s ] [ -n maxlines ] servicedir

`s6-svdt` prints the contents of the recorded death tally of the service being currently supervised at the servicedir service directory, then exits 0.

For each recorded death, s6-svdt prints one line. This line contains the following fields, separated with spaces:

- A TAI64N timestamp .
- The word "signal" if the death was caused by a signal, or the word "exitcode" if the death was a normal exit.
- The name of the signal that caused the death, or the exit code of the process.

## Options

- `-S` : print signal names. This is the default.
- `-s` : print signal numbers. The numerical value of the signal will be printed instead of the signal name.
- `-n maxlines` : limit the output to at most the latest maxlines deaths.

## Exit codes

- 0: success
- 100: wrong usage
- 111: system call failed

## Notes

- To obtain human-readable local time or GMT time instead of TAI64N timestamps, simply pipe s6-svdt's output into s6-tai64nlocal.
- Process deaths are recorded up to a default maximum of 100. This default can be modified via the `max-death-tally` file in the service directory.